function FileExist = CheckRunExcel(filename)
FileExist = 0;
%filename = the file to be compared with already open excel application
%workbooks.
[pathstr, name, ext] = fileparts(filename);
fn = strcat(name, ext);
%get already running excel application if any.
try
    excel = actxGetRunningServer('Excel.Application');
    %get handle to the workbook collection.
    WrkBkCollec = get(excel, 'Workbooks');
    %get the number of currently running excel work books.
    numWrkBk = WrkBkCollec.count;    
    for i = 1:numWrkBk
        %get the handle to each workbook through the loop itterartion.
        WrkBkHandle = WrkBkCollec.Item(i);
        %get the path and the name of the current book.
        %e.g. InfoSav1 = 
        
        %   'C:\Users\rasam teymouri\Desktop\Calibration Result(1)'    'rasam-BestFitInfo.xlsx'
        %here InfoSav1 is a 1X2 cell array.
        InfoSav1 = WrkBkHandle.get({'Path', 'Name'});
        if strcmp(InfoSav1{1,2}, fn) && strcmp(InfoSav1{1,1}, pathstr)
            Activate(WrkBkHandle);
            excel.WindowState = 'xlMaximized';
            FileExist = 1;
            break,
        end
    end
catch e
    FileExist = 0;
    if strcmp(e.message, 'The server ''Excel.Application'' is not running on this system.')
        %ignore the error.
    else
        disp(['warn:' e.message]);
    end
end